Page MenuHomePhabricator

Deploy MachineVision extension to the Beta Cluster
Closed, ResolvedPublic

Description

As soon as the machine vision middleware is providing useful functionality, it should be deployed to the beta cluster.

https://www.mediawiki.org/wiki/Review_queue#Deploy_to_Beta_Cluster

  • Add submodule to mediawiki/extensions
  • Update operations/mediawiki-config

Target: Week of August 5 (after the MachineVision extension starts getting picked up by make-wmf-branch)

Event Timeline

Mholloway created this task.Jul 5 2019, 4:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 5 2019, 4:43 PM
Mholloway updated the task description. (Show Details)Jul 5 2019, 5:32 PM
Mholloway updated the task description. (Show Details)

Change 526526 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/tools/release@master] Start branching mediawiki/extensions/MachineVision

https://gerrit.wikimedia.org/r/526526

Mholloway renamed this task from Deploy machine vision middleware to the Beta Cluster to Deploy MachineVision extension to the Beta Cluster.Jul 30 2019, 9:01 PM
Mholloway claimed this task.
Mholloway triaged this task as Normal priority.

Change 526541 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/mediawiki-config@master] Add MachineVision to extension-list

https://gerrit.wikimedia.org/r/526541

Change 526542 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/mediawiki-config@master] Add wmgUseMachineVision default setting

https://gerrit.wikimedia.org/r/526542

Change 526543 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/mediawiki-config@master] Enable MachineVision on (beta) commonswiki

https://gerrit.wikimedia.org/r/526543

Change 526544 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/mediawiki-config@master] Load MachineVision extension if enabled

https://gerrit.wikimedia.org/r/526544

Change 526526 merged by jenkins-bot:
[mediawiki/tools/release@master] Start branching mediawiki/extensions/MachineVision

https://gerrit.wikimedia.org/r/526526

Mholloway updated the task description. (Show Details)Jul 30 2019, 10:13 PM

Change 526541 merged by jenkins-bot:
[operations/mediawiki-config@master] Add MachineVision to extension-list

https://gerrit.wikimedia.org/r/526541

Change 526542 merged by jenkins-bot:
[operations/mediawiki-config@master] Add wmgUseMachineVision default setting

https://gerrit.wikimedia.org/r/526542

Change 526543 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable MachineVision on (beta) commonswiki

https://gerrit.wikimedia.org/r/526543

Change 526544 merged by jenkins-bot:
[operations/mediawiki-config@master] Load MachineVision extension if enabled

https://gerrit.wikimedia.org/r/526544

Mholloway closed this task as Resolved.Aug 13 2019, 8:40 PM